
body {
    box-sizing: border-box;
}

.main {
    width: 1000px;
    height: 1000px;
    background: blueviolet;
    display: flex;
    flex-direction: column;
    padding: 30px;
    justify-content: space-between;
}

.green {
    height: 300px;
    width: 990px;
    background: green;
    padding: 10px;
    justify-content: space-between;

}

.yellow {
    width: 300px;
    height: 100%;
    background: yellow;
}

.blue {
    width: 100px;
    height: 100px;
    background: blue;
}

.a-i-f-end {
    align-items: flex-end;

}

.j-c-s-b {
    justify-content: space-between;

}

.d-f {
    display: flex;
}

.f-d-column {
    flex-direction: column;
}

.global {
    width: 1000px;
    height: 1000px;
    background: aqua;
    padding: 30px;
    margin-top: 20px;
}

.big1 {
    width: 48%;
    height: 100%;
    background: crimson;
    padding: 5px;
}

.big2 {
    width: 48%;
    height: 100%;
    background: coral;
    padding: 5px;
}

.white {
    background: white;
    width: 480px;
    height: 150px;
    margin-top: 10px;
}
.purple{
    background: purple;
    width: 480px;
    height: 200px;
}
.black {
    width: 100px;
    height: 100px;
    background: black;
    margin-top: 10px;
}
.background {
    background: gray;
    width: 1000px;
    height: 1000px;
    padding: 20px;
}
.menu {
    width: 250px;
    height: 980px;
    background: white;
    padding: 3px;

}
.logo {
    width: 250px;
    height: 100px;
    background: #ed4747;
}
.skrol {
    width: 250px;
    height: 880px;
    overflow: auto;
}
.punkt {
    margin-top: 5px;
    padding: 2px;
    min-height: 150px;
    width: 250px;
    height: 150px;
    background: aqua;
    flex-grow: 1;
    flex-basis: auto;
    flex-shrink: 0;

}
.header{
    height: 100px;
    background: white;
}
.empty-2 {
    width: 750px;
    height: 1000px;
    margin-left: 5px;
}
.block-1 {
    margin-top: 5px;
    width: 750px;
    height: 250px;
     /*background: #0d6f0d;*/
}
.half-1 {
    width: 50%;
    height: 250px;
    background: blue;
}
.half-2 {
    width: 50%;
    height: 250px;
    background: blue;
    margin-left: 5px;

}
.block-2 {
    margin-top: 5px;
    width: 750px;
    height: 250px;
}
.b-1 {
    width: 250px;
    height: 200px;
    background: #ed4747;
}
.b-2 {
    width: 250px;
    height: 200px;
    background: #ed4747;
    margin-left: 2px;
    margin-right: 2px;
}
.b-3 {
    width: 250px;
    height: 200px;
    background: #ed4747;
}
.block-3 {
    width: 750px;
    height: 100%;
    background: aqua;
    margin-top: 3px;
}
.child:nth-child(odd) {
    align-self: flex-end;
}